Package icyllis.modernui.view.menu

# Class SubMenuArrowDrawable

java.lang.Object
icyllis.modernui.graphics.drawable.Drawable
icyllis.modernui.material.MaterialDrawable
icyllis.modernui.view.menu.SubMenuArrowDrawable

public class SubMenuArrowDrawable extends MaterialDrawable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class icyllis.modernui.graphics.drawable.Drawable

  `Drawable.Callback, Drawable.ConstantState`

- ## Field Summary

  ### Fields inherited from class icyllis.modernui.material.MaterialDrawable

  `mAlpha, mColor, mTint`

  ### Fields inherited from class icyllis.modernui.graphics.drawable.Drawable

  `MAX_LEVEL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubMenuArrowDrawable(Context context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `draw(Canvas canvas)`
  Draw in its bounds (set via setBounds) respecting optional effects such as alpha (set via setAlpha).
  `int`
  `getIntrinsicHeight()`
  Returns the drawable's intrinsic height.
  `int`
  `getIntrinsicWidth()`
  Returns the drawable's intrinsic width.
  `boolean`
  `isAutoMirrored()`
  Tells if this Drawable will be automatically mirrored when its layout direction is RTL right-to-left.
  `protected void`
  `onBoundsChange(Rect bounds)`
  Override this in your subclass to change appearance if you vary based on the bounds.
  `protected boolean`
  `onLayoutDirectionChanged(int layoutDirection)`
  Called when the drawable's resolved layout direction changes.

  ### Methods inherited from class icyllis.modernui.material.MaterialDrawable

  `getAlpha, hasFocusStateSpecified, isStateful, onStateChange, setAlpha, setTintList`

  ### Methods inherited from class icyllis.modernui.graphics.drawable.Drawable

  `applyTheme, canApplyTheme, clearMutated, copyBounds, copyBounds, getBounds, getCallback, getChangingConfigurations, getColorFilter, getConstantState, getCurrent, getHotspotBounds, getLayoutDirection, getLevel, getMinimumHeight, getMinimumWidth, getPadding, getState, invalidateSelf, isVisible, jumpToCurrentState, mutate, onLevelChange, scaleFromDensity, scaleFromDensity, scheduleSelf, setAutoMirrored, setBounds, setBounds, setCallback, setChangingConfigurations, setColorFilter, setHotspot, setHotspotBounds, setLayoutDirection, setLevel, setState, setTint, setTintBlendMode, setVisible, unscheduleSelf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubMenuArrowDrawable

    public SubMenuArrowDrawable(Context context)

- ## Method Details

  - ### draw

    public void draw(@NonNull Canvas canvas)
    Description copied from class: `Drawable`
    Draw in its bounds (set via setBounds) respecting optional effects such as alpha (set via setAlpha).
    Specified by:
      `draw` in class `Drawable`
    Parameters:
      `canvas` - The canvas to draw into

  - ### onBoundsChange

    protected void onBoundsChange(@NonNull Rect bounds)
    Description copied from class: `Drawable`
    Override this in your subclass to change appearance if you vary based on the bounds.
    Overrides:
      `onBoundsChange` in class `Drawable`

  - ### onLayoutDirectionChanged

    protected boolean onLayoutDirectionChanged(int layoutDirection)
    Description copied from class: `Drawable`
    Called when the drawable's resolved layout direction changes.
    Overrides:
      `onLayoutDirectionChanged` in class `Drawable`
    Parameters:
      `layoutDirection` - the new resolved layout direction
    Returns:
      `true` if the layout direction change has caused the appearance of the drawable to change such that it needs to be re-drawn, `false` otherwise
    See Also:
      - `Drawable.setLayoutDirection(int)`

  - ### isAutoMirrored

    public boolean isAutoMirrored()
    Description copied from class: `Drawable`
    Tells if this Drawable will be automatically mirrored when its layout direction is RTL right-to-left. See `LayoutDirection`.
    Overrides:
      `isAutoMirrored` in class `Drawable`
    Returns:
      boolean Returns true if this Drawable will be automatically mirrored.

  - ### getIntrinsicWidth

    public int getIntrinsicWidth()
    Description copied from class: `Drawable`
    Returns the drawable's intrinsic width.

    Intrinsic width is the width at which the drawable would like to be laid out, including any inherent padding. If the drawable has no intrinsic width, such as a solid color, this method returns -1.

    Overrides:
      `getIntrinsicWidth` in class `Drawable`
    Returns:
      the intrinsic width, or -1 if no intrinsic width

  - ### getIntrinsicHeight

    public int getIntrinsicHeight()
    Description copied from class: `Drawable`
    Returns the drawable's intrinsic height.

    Intrinsic height is the height at which the drawable would like to be laid out, including any inherent padding. If the drawable has no intrinsic height, such as a solid color, this method returns -1.

    Overrides:
      `getIntrinsicHeight` in class `Drawable`
    Returns:
      the intrinsic height, or -1 if no intrinsic height